def perfometer_check_mk_mtr(row, check_command, perf_data):
	losscolors = { 0: "#00ff00", 1: "#ffff22", 2: "#ff2222", 3: "#ffaa22" }
	avgcolors = { 0: "#00ff00", 1: "#ffff22", 2: "#ff2222", 3: "#ffaa22" }
	color = avgcolors[row["service_state"]]
	print perf_data
	loss, losswarn, losscrit = None, None, None
	avg , avgwarn , avgcrti  = None, None, None
	for p in perf_data:
		if p[0] == 'loss':
			try:
				loss = float(p[1])
				losswarn = float(p[3])
				losscrit = float(p[4])
			except:
				loss = 0
		if p[0] == 'avg':
			try:
				avg = float(p[1])
				avgwarn = float(p[3])
				avgcrit = float(p[4])
			except:
				avg = 0
	if loss == None:
		loss = 0
	if avg == None:
		avg = 0

	# Colors
	losscolor = losscolors[0]
	avgcolor = avgcolors[0]
	avgscale = None
	if losswarn != None and losswarn > 0 and loss > losswarn:
		losscolor = losscolors[1]
	if losscrit != None and losscrit > 0 and loss > losscrit:
		losscolor = losscolors[2]
	if avgwarn != None and avgwarn > 0:
		if avg > avgwarn:
			avgcolor = avgcolors[1]
		avgscale = avgwarn
	if avgcrit != None and avgcrit > 0:
		if avg > avgcrit:
			avgcolor = avgcolors[2]
		avgscale = avgcrit
	if avgscale == None or avgscale < 1:
		avgscale = 100

	h = '<div class="stacked">'
	h += perfometer_linear(loss, losscolor)
	gavg = avg / avgscale * 100
	h += perfometer_logarithmic(gavg, 10, 2, avgcolor)
	h += '</div>'
	return "%s%% loss | %s avg" % (loss, avg), h

perfometers["check_mk-mtr"]  = perfometer_check_mk_mtr
